Agrarian-TX(1)

NAME
agrarian-tx - manual page for agrarian-tx v3.1.99.0

DESCRIPTION
Agrarian Core agrarian-tx utility version v3.1.99.0-11f4a2bba4-dirty

  Usage:

agrarian-tx [options] <hex-tx> [commands]
    Update hex-encoded agrarian transaction

agrarian-tx [options] -create [commands]
    Create hex-encoded agrarian transaction

OPTIONS

-?

    This help message

-create

    Create new, empty TX.

-json

    Select JSON output

-txid

    Output only the hex-encoded transaction id of the resultant transaction.

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly.

-testnet

    Use the test network

Commands:

    delin=N

    Delete input N from TX

    delout=N

    Delete output N from TX

    in=TXID:VOUT

    Add input to TX

    locktime=N

    Set TX lock time to N

    nversion=N

    Set TX version to N

    outaddr=VALUE:ADDRESS

    Add address-based output to TX

    outscript=VALUE:SCRIPT

    Add raw script output to TX

    sign=SIGHASH-FLAGS

    Add zero or more signatures to transaction. This command requires JSON registers:prevtxs=JSON object, privatekeys=JSON object. See signrawtransaction docs for format of sighash flags, JSON objects.

Register Commands:

    load=NAME:FILENAME

    Load JSON file FILENAME into register NAME

    set=NAME:JSON-STRING

    Set register NAME to given JSON-STRING

COPYRIGHT
Copyright (C) 2009-2018 The Bitcoin Core Developers Copyright (C) 2014-2018 The Dash Core Developers Copyright (C) 2015-2018 The PIVX Core Developers This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <http://www.opensource.org/licenses/mit-license.php>. This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org/> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.